## python-proton-core 0.1.16

=== debian/changelog ===
python-proton-core (0.1.16-1) unstable; urgency=medium

  * Initial release. (Closes: #1076362)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 14 Jul 2024 09:06:12 -0300
