## python-proton-core 0.3.3

=== debian/changelog ===
python-proton-core (0.3.3-1) unstable; urgency=medium

  * New upstream version 0.3.3

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 21 Sep 2024 11:54:42 -0300

python-proton-core (0.2.0-1) unstable; urgency=medium

  * New upstream version 0.2.0
  * Fixed license  to GPL-3+

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 11 Sep 2024 00:49:01 -0300
