=== debian/changelog ===
python-proton-core (0.4.0-3) unstable; urgency=medium

  * Team upload.
  * Remove python3-importlib-metadata build dep

 -- Alexandre Detiste <tchet@debian.org>  Sat, 10 May 2025 16:15:37 +0200

python-proton-core (0.4.0-2) unstable; urgency=medium

  * Team upload.
  * Drop build-dependency on python3-pytest-flake8 (see #1068502).

 -- Colin Watson <cjwatson@debian.org>  Mon, 24 Mar 2025 09:37:53 +0000

python-proton-core (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 28 Dec 2024 19:20:59 -0300
