=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=proton-core

# Tests ignored due to external connection
export PYBUILD_TEST_ARGS= -v \
	-k 'not test_bad_pinning_fingerprint_changed \
	and not test_alternative_routing_works_on_prod \
	and not test_bad_pinning_url_changed \
	and not test_without_pinning \
	and not test_auto_works_on_prod \
	and not test_ping \
	and not test_successful'

export PYBUILD_AFTER_TEST=gpgconf --homedir {build_dir}/../.gnupg --kill gpg-agent

%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

# sphinx documentation
execute_before_dh_sphinxdoc:
	http_proxy='http://127.0.0.1:9/' python3 -m sphinx  -d debian/doctrees  \
	-N -bhtml  docs/ debian/python-proton-core-doc/usr/share/doc/python-proton-core-doc/html
