=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/ProtonVPN/python-proton-core/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
