## python-proton-core 0.7.0

=== debian/changelog ===
python-proton-core (0.7.0-1) unstable; urgency=medium

  * New upstream version 0.7.0
  * debian/control: Remove redundant "Rules-Requires-Root"
  * debian/patches: Truncate password to bcrypt's 72-byte limit
  * debian/rules: Skip D-Bus dependent tests (Closes: #1120223)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Mon, 24 Nov 2025 22:29:04 -0300
