=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,10 @@
 	and not test_without_pinning \
 	and not test_auto_works_on_prod \
 	and not test_ping \
+	and not test_broken_data \
+	and not test_broken_index \
+	and not test_sessions \
+	and not test_raw_ping \
 	and not test_successful'
 
 export PYBUILD_AFTER_TEST=gpgconf --homedir {build_dir}/../.gnupg --kill gpg-agent
